<?php
/**
 * Script for downloading project information.
 * TODO: Right now this is just for getting File items, we will need to include other items
 * and maybe get all the project contents in a tar.gz...
 *
 * $Horde: thor/download.php,v 1.2 2005/01/03 14:35:33 jan Exp $
 *
 * Copyright 2003-2005 Carlos Pedrinaci <cpedrinaci@yahoo.es>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('THOR_BASE', dirname(__FILE__)); 
require_once THOR_BASE . '/lib/base.php';

/* If we aren't provided with a project_id, redirect to the projects list. */
$projectID = Util::getFormData('project_id');
if (!isset($projectID)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$itemID = Util::getFormData('item_id');
if (isset($itemID)) {
    $theObject = &$thor->_itemsContainer->getItem($itemID);
    if (is_a($theObject, 'PEAR_Error')) {
        $notification->push(_("Item not found."),'horde.warning');
        header('Location: ' . Horde::applicationUrl('list.php', true));
        exit;
    }
} else {
    // Download the whole Project
    $theObject = &$thor->_projectsContainer->getProject($projectID);
    if (is_a($theObject, 'PEAR_Error')) {
        $notification->push(_("Project not found."),'horde.warning');
        header('Location: ' . Horde::applicationUrl('list.php', true));
        exit;
    }
}

$res = $theObject->download();
if (is_a($res, 'PEAR_Error')) {
    $notification->push(_("Impossible to download it."),'horde.warning');
    header('Location: ' . Horde::applicationUrl('list.php', true));
}
