<?php
/**
 * File for viewing a particular project information
 *
 * $Horde: thor/view.php,v 1.28 2005/01/03 14:35:33 jan Exp $
 *
 * Copyright 2003-2005 Carlos Pedrinaci <cpedrinaci@yahoo.es>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('THOR_BASE', dirname(__FILE__));
require_once THOR_BASE . '/lib/base.php';

/* If we aren't provided with a project, redirect to the projects list. */
$projectID = Util::getFormData('project_id');
if (!isset($projectID)) {
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

// If the project doesn't exist redirect to the list
$project = &$thor->_projectsContainer->getProject($projectID);
if (is_a($project, 'PEAR_Error')) {
    $notification->push(_("Unable to retrieve the project from the DB."),'horde.warning');
    header('Location: ' . Horde::applicationUrl('list.php', true));
    exit;
}

$projects_sortby = Util::getFormData('projects_sortby', $prefs->getValue('projects_sortby'));
$projects_sortdir = Util::getFormData('projects_sortdir', $prefs->getValue('projects_sortdir'));
$users_sortby = Util::getFormData('users_sortby', $prefs->getValue('users_sortby'));
$users_sortdir = Util::getFormData('users_sortdir', $prefs->getValue('users_sortdir'));
$items_sortby = Util::getFormData('items_sortby', $prefs->getValue('items_sortby'));
$items_sortdir = Util::getFormData('items_sortdir', $prefs->getValue('items_sortdir'));

$join = Util::getFormData('join', 0);
if ($join) {
    // Add a join request to the Project
    $result = $project->addUserRequest(Auth::getAuth());
    if ($result) {
        $notification->push(_("Request to join the project stored."),'horde.success');
    } else {
       $notification->push(_("Unable to store the join request."),'horde.error');
    }
}

$title = _("Project details");
require THOR_TEMPLATES . '/common-header.inc';
require THOR_TEMPLATES . '/menu.inc';
// Show the project information.
$project->showInformation();
$project->showSubProjects($projects_sortby, $projects_sortdir);
$project->showItems($items_sortby, $items_sortdir, true);
if ($project->get('project_status') != THOR_STATUS_REQUEST) {
    $project->showTeam($users_sortby, $users_sortdir);
}
require $registry->get('templates', 'horde') . '/common-footer.inc';
